UIPackage
Menu

Framework

Change language

Boilerplate repo

Labeled Value

labeled-valueui

Read-only label/value pair for surface details — "Email: jane@…" or "Status: Active". Compose them in a Data List, a Stat Card, or a Section Card detail row.

Also available for Vue ->

Installation

$npx shadcn@latest add https://uipkge.dev/r/react/labeled-value.json
Named registry:npx shadcn@latest add @uipkge-react/labeled-valueInstalls to:components/ui/labeled-value/

Examples

Loading interactive previews…

Props

NameType / ValuesDefaultRequired
labelstringrequired
valuestringoptional

Files installed (2)

  • components/ui/labeled-value/labeled-value.tsx0.8 kB
    import * as React from 'react'
    import { cn } from '@/lib/utils'
    
    export interface LabeledValueProps extends React.HTMLAttributes<HTMLDivElement> {
      label: string
      value?: string
    }
    
    const LabeledValue = React.forwardRef<HTMLDivElement, LabeledValueProps>(
      ({ label, value, className, children, ...props }, ref) => (
        <div
          ref={ref}
          data-uipkge=""
          data-slot="labeled-value"
          className={cn('flex items-center justify-between gap-3 text-sm', className)}
          {...props}
        >
          <span data-slot="labeled-value-label" className="text-muted-foreground shrink-0">
            {label}
          </span>
          {children ?? (
            <span data-slot="labeled-value-value" className="min-w-0 text-right font-medium">
              {value}
            </span>
          )}
        </div>
      ),
    )
    LabeledValue.displayName = 'LabeledValue'
    
    export { LabeledValue }
    
  • components/ui/labeled-value/index.ts0.1 kB

Raw manifest:https://uipkge.dev/r/react/labeled-value.json

UIPackage
Menu

Framework

Change language

Boilerplate repo

Labeled Value

labeled-valueui

Read-only label/value pair for surface details — "Email: jane@…" or "Status: Active". Compose them in a Data List, a Stat Card, or a Section Card detail row.

Also available for React ->

Installation

$npx shadcn-vue@latest add https://uipkge.dev/r/vue/labeled-value.json
Named registry:npx shadcn-vue@latest add @uipkge/labeled-valueInstalls to:app/components/ui/labeled-value/

Examples

Loading interactive previews…

Props

NameType / ValuesDefaultRequired
labelstringrequired
valuestringoptional
classHTMLAttributes['class']optional

Files installed (2)

  • app/components/ui/labeled-value/LabeledValue.vue0.6 kB
    <script setup lang="ts">
    import type { HTMLAttributes } from 'vue'
    import { cn } from '@/lib/utils'
    
    const props = defineProps<{
      label: string
      value?: string
      class?: HTMLAttributes['class']
    }>()
    </script>
    
    <template>
      <div
        data-uipkge
        data-slot="labeled-value"
        :class="cn('flex items-center justify-between gap-3 text-sm', props.class)"
      >
        <span data-slot="labeled-value-label" class="text-muted-foreground shrink-0">{{ label }}</span>
        <slot>
          <span data-slot="labeled-value-value" class="min-w-0 text-right font-medium">{{ value }}</span>
        </slot>
      </div>
    </template>
    
  • app/components/ui/labeled-value/index.ts0.1 kB

Raw manifest:https://uipkge.dev/r/vue/labeled-value.json